#ifndef FILTERS_H
#define FILTERS_H
#include <gtk/gtk.h>
#include <gtk/gtkx.h>
#include "ubl-utils.h"
#include "ubl-strings.h"
#include <locale.h>
#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <libintl.h>
#include <getopt.h>
#include <libintl.h>
#include "philos_utils.h"

// Переменные
typedef struct {
    GtkWidget* Window;
    GtkWidget* btnFiltersSave;
    GtkWidget* btnFiltersCancel;
    GtkWidget* chbFilterTypeQouota;
    GtkWidget* chbCPULimit;
    GtkWidget* chbIOLimitRead;
    GtkWidget* chbIOLimitWrite;
    GtkWidget* chbSwapFileLimit;
    GtkWidget* chbHardLimit;
    GtkWidget* chbSoftLimit;
    GtkWidget* chbQuotaVolume;
} filters_window;

// Функции
filters_window *filters_setup_window(char* glade_path);
void filters_event(filters_window *widgets);
void filters_localization(filters_window *widgets);
void filters_on_hide_subwindow(GtkWidget *self);
filters_window *get_widget_filters();
void filters_show(GtkWidget *self, char* glade_path);
void filters_destroy(GtkWidget *self);
int* filters_get_flag();
void filters_init_flag();
void filters_set_flag();
#endif